> ## Documentation Index
> Fetch the complete documentation index at: https://aisa.one/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# 媒体转录文本

> 媒体转录文本

通过 URL 获取短视频或视频帖子的语音转文字稿。

## 示例

```bash theme={null}
curl "https://api.aisa.one/apis/v1/instagram/media/transcript?url=VALUE" \
  -H "Authorization: Bearer YOUR_API_KEY"
```


## OpenAPI

````yaml openapi/zh/instagram.json GET /instagram/media/transcript
openapi: 3.0.0
info:
  title: Instagram API
  description: 读取 Instagram 公开数据——个人资料、帖子、Reels、评论、文字稿和搜索结果。
  version: 1.0.0
servers:
  - url: https://api.aisa.one/apis/v1
security:
  - bearerAuth: []
paths:
  /instagram/media/transcript:
    get:
      tags:
        - Instagram API
      summary: 媒体转录文本
      description: >-
        为 Instagram 视频帖子或 Reels 生成 AI 驱动的语音转文字转录。视频时长必须少于 2 分钟。返回 transcripts
        数组，其中包含每个项目的 shortcode 和转录文本；轮播帖子中的每个视频幻灯片会生成一份转录。响应时间预计为 10-30
        秒，未检测到语音时返回 null。
      operationId: get_instagram-media-transcript
      parameters:
        - name: url
          in: query
          required: true
          description: Instagram 帖子或短视频 URL
          schema:
            type: string
      responses:
        '200':
          description: 成功响应
          content:
            application/json:
              example:
                success: true
                transcripts:
                  - id: '3597267389859272809'
                    shortcode: DHsD6HGqJhp
                    text: >-
                      Let's fry up the perfect bunzel. Beautiful.  Everybody,
                      shh. The perfect bunzel. Let me show you my bunzel. When
                      it comes down to bunzel, we make it the crispiest, get the
                      crunch. Heaven.
              schema:
                $ref: '#/components/schemas/InstagramTranscriptsResponse'
components:
  schemas:
    InstagramTranscriptsResponse:
      type: object
      properties:
        success:
          type: boolean
        credits_remaining:
          type: integer
        transcripts:
          type: array
          items:
            type: object
            additionalProperties: true
      additionalProperties: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: AIsa API 密钥。前往 https://aisa.one 获取

````